libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- s
- x

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - _ -

- _xr_debug() : xr-lib.h
- _xr_value_node_type : xr-value.h

### - s -

- servlet_download_t : xr-server.h
- servlet_fini_t : xr-server.h
- servlet_init_t : xr-server.h
- servlet_method_t : xr-server.h
- servlet_upload_t : xr-server.h

### - x -

- xr_blob : xr-value.h
- xr_blob_new() : xr-value.h
- xr_blob_ref() : xr-value.h
- xr_blob_unref() : xr-value.h
- xr_call : xr-call.h
- xr_call_add_param() : xr-call.h
- xr_call_dump() : xr-call.h
- xr_call_dump_string() : xr-call.h
- xr_call_error_set() : xr-call.h
- xr_call_free() : xr-call.h
- xr_call_free_buffer() : xr-call.h
- xr_call_get_error_code() : xr-call.h
- xr_call_get_error_message() : xr-call.h
- xr_call_get_method() : xr-call.h
- xr_call_get_method_full() : xr-call.h
- xr_call_get_param() : xr-call.h
- xr_call_get_retval() : xr-call.h
- xr_call_get_servlet_name() : xr-call.h
- xr_call_new() : xr-call.h
- xr_call_serialize_request() : xr-call.h
- xr_call_serialize_response() : xr-call.h
- xr_call_set_error() : xr-call.h
- xr_call_set_retval() : xr-call.h
- xr_call_set_transport() : xr-call.h
- xr_call_transport : xr-call.h
- xr_call_unserialize_request() : xr-call.h
- xr_call_unserialize_response() : xr-call.h
- xr_client_basic_auth() : xr-client.h
- xr_client_call() : xr-client.h
- xr_client_close() : xr-client.h
- xr_client_conn : xr-client.h
- xr_client_free() : xr-client.h
- xr_client_get_http() : xr-client.h
- xr_client_get_ssl_context() : xr-client.h
- xr_client_new() : xr-client.h
- xr_client_open() : xr-client.h
- xr_client_reset_http_headers() : xr-client.h
- xr_client_set_http_header() : xr-client.h
- xr_client_set_transport() : xr-client.h
- xr_debug : xr-lib.h
- XR_DEBUG_CALL : xr-lib.h
- XR_DEBUG_CALL_TRACE : xr-lib.h
- XR_DEBUG_CLIENT : xr-lib.h
- XR_DEBUG_CLIENT_TRACE : xr-lib.h
- xr_debug_enabled : xr-lib.h
- XR_DEBUG_HTTP : xr-lib.h
- XR_DEBUG_HTTP_TRACE : xr-lib.h
- XR_DEBUG_LIB : xr-lib.h
- XR_DEBUG_SERVER : xr-lib.h
- XR_DEBUG_SERVER_TRACE : xr-lib.h
- XR_DEBUG_SERVLET : xr-lib.h
- XR_DEBUG_SERVLET_TRACE : xr-lib.h
- XR_DEBUG_VALUE : xr-lib.h
- xr_fini() : xr-lib.h
- xr_http : xr-http.h
- xr_http_free() : xr-http.h
- xr_http_get_basic_auth() : xr-http.h
- xr_http_get_code() : xr-http.h
- xr_http_get_header() : xr-http.h
- xr_http_get_message_length() : xr-http.h
- xr_http_get_message_type() : xr-http.h
- xr_http_get_method() : xr-http.h
- xr_http_get_resource() : xr-http.h
- xr_http_get_version() : xr-http.h
- xr_http_has_pending_request() : xr-http.h
- xr_http_init() : xr-http.h
- xr_http_is_ready() : xr-http.h
- xr_http_message_type : xr-http.h
- xr_http_new() : xr-http.h
- xr_http_read() : xr-http.h
- xr_http_read_all() : xr-http.h
- xr_http_read_header() : xr-http.h
- xr_http_set_basic_auth() : xr-http.h
- xr_http_set_header() : xr-http.h
- xr_http_set_message_length() : xr-http.h
- xr_http_set_message_type() : xr-http.h
- xr_http_setup_request() : xr-http.h
- xr_http_setup_response() : xr-http.h
- xr_http_write() : xr-http.h
- xr_http_write_all() : xr-http.h
- xr_http_write_complete() : xr-http.h
- xr_http_write_header() : xr-http.h
- xr_init() : xr-lib.h
- xr_server : xr-server.h
- xr_server_bind() : xr-server.h
- xr_server_free() : xr-server.h
- xr_server_get_ssl_context() : xr-server.h
- xr_server_new() : xr-server.h
- xr_server_register_servlet() : xr-server.h
- xr_server_run() : xr-server.h
- xr_server_simple() : xr-server.h
- xr_server_stop() : xr-server.h
- xr_servlet : xr-server.h
- xr_servlet_def : xr-server.h
- xr_servlet_get_client_ip() : xr-server.h
- xr_servlet_get_http() : xr-server.h
- xr_servlet_get_priv() : xr-server.h
- xr_servlet_method_def : xr-server.h
- xr_trace : xr-lib.h
- xr_value : xr-value.h
- xr_value_array_append() : xr-value.h
- xr_value_array_new() : xr-value.h
- xr_value_blob_new() : xr-value.h
- xr_value_bool_new() : xr-value.h
- xr_value_build() : xr-value-utils.h
- xr_value_double_new() : xr-value.h
- xr_value_dump() : xr-value.h
- xr_value_get_items() : xr-value.h
- xr_value_get_member() : xr-value.h
- xr_value_get_member_name() : xr-value.h
- xr_value_get_member_value() : xr-value.h
- xr_value_get_members() : xr-value.h
- xr_value_get_type() : xr-value.h
- xr_value_int_new() : xr-value.h
- xr_value_is_error_retval() : xr-value.h
- xr_value_parse() : xr-value-utils.h
- xr_value_ref() : xr-value.h
- xr_value_string_new() : xr-value.h
- xr_value_struct_new() : xr-value.h
- xr_value_struct_set_member() : xr-value.h
- xr_value_time_new() : xr-value.h
- xr_value_to_blob() : xr-value.h
- xr_value_to_bool() : xr-value.h
- xr_value_to_double() : xr-value.h
- xr_value_to_int() : xr-value.h
- xr_value_to_string() : xr-value.h
- xr_value_to_time() : xr-value.h
- xr_value_to_value() : xr-value.h
- xr_value_unref() : xr-value.h
- XRV_ARRAY : xr-value.h
- XRV_BLOB : xr-value.h
- XRV_BOOLEAN : xr-value.h
- XRV_DOUBLE : xr-value.h
- XRV_INT : xr-value.h
- XRV_MEMBER : xr-value.h
- XRV_STRING : xr-value.h
- XRV_STRUCT : xr-value.h
- XRV_TIME : xr-value.h

Documentation for libxr, Fri Apr 15 2016 08:12:18.